Python GMN - Bug #7740

GMN fails to write system metadata during a refresh under unknown conditions
2016-04-14 14:56 - Mark Servilla
Description

Some MNs (NMEPSCOR and TERN, for example) are reporting that GMN fails to write system metadata during a refresh. It is not
clear under what conditions this occurs.

2016-03-24 06:00:15 ERROR SysMetaRefresher process_system_metadata_refresh_queue 30401 140171679168320 System
Metadata update failed with internal exception:

Traceback (most recent call last):

File
"/var/local/dataone/gmn/local/lib/python2.7/site-packages/service/mn/management/commands/process_system_metadata_refresh_q
ueue.py", line 161, in process_refresh_task

self._refresh(task)

File
"/var/local/dataone/gmn/local/lib/python2.7/site-packages/service/mn/management/commands/process_system_metadata_refresh_q
ueue.py", line 174, in _refresh

self._update _sys meta(sys_meta)

File

"/var/local/dataone/gmn/local/lib/python2.7/site-packages/service/mn/management/commands/process_system metadata_refresh_q
ueue.py", line 224, in _update_sys_meta

mn.auth.set_access_policy(pid, sys_meta.accessPolicy)

File "/var/local/dataone/gmn/lib/pythonZ2. 7/site-packages/service/mn/auth.py”, line 164, in set_access_policy

with mn.sysmeta_store.sysmeta(pid, sci_obj.serial_version) as sysmeta:

File "/var/local/dataone/gmn/lib/python2.7/site-packages/service/mn/sysmeta_store.py", line 97, in __init_

with open(sysmeta_path, 'rb') as f:

IOError: [Errno 2] No such file or directory:
'lvar/local/dataone/gmn/lib/python2.7/site-packages/service/./stores/sysmeta/112/129/aekos.org.au%2Fcollection%2Fnsw.gov.au%2
Fnsw_atlas%2Fvis_flora_module%2FP_ADHO4FB3.20150515.5'

Related issues:
Related to Python GMN - Task #7741: Obtain system_metadata_refresh_queue.log ... Closed 2016-04-14

History

#1 - 2016-04-14 14:56 - Mark Servilla
- Priority changed from Normal to High

#2 - 2016-04-14 16:46 - Mark Servilla
- Related to Task #7741: Obtain system_metadata_refresh_queue.log and GMN store directory listing from either NMEPSCOR or TERN added
